#!/usr/bin/env python

"""
_RetryManager_

The retry manager picks up jobs from their cooloff state and using a set of plugins
attempts to put them in their non-cooloff state again.

"""

__revision__ = "$Id: RetryManager.py,v 1.2 2009/05/12 11:52:35 afaq Exp $"
__version__ = "$Revision: 1.2 $"
__author__ = "anzar@fnal.gov"


import logging

# harness class that encapsulates the basic component logic.
from WMCore.Agent.Harness import Harness
# we do not import failure handlers as they are dynamicly 
# loaded from the config file.
from WMCore.WMFactory import WMFactory

class RetryManager(Harness):
    """
    _RetryManager_

    The retry manager picks up jobs from their cooloff state and using a set 
    of plugins attempts to put them in their non-cooloff state again
    """

    def __init__(self, config):
        # call the base class
        Harness.__init__(self, config)

    def preInitialization(self):
        """
        Initializes plugins for different messages
        """

        # Add event loop to worker manager
        myThread = threading.currentThread()
        pollInterval = self.config.RetryManager.pollInterval
        logging.info("Setting poll interval to %s seconds" % pollInterval)
        myThread.workerThreadManager.addWorker(WorkflowManagerPoller(), \
                                               pollInterval)

